function r = remainder_entropy(p,n)
% p = [p(1) p(2) ... p(k)]
% n = [n(1) n(2) ... n(k)]
    d = length(p);
    r = 0;
    for k = 1 : d
        r = r + (p(k) + n(k))/(sum(p) + sum(n)) * binary_entropy(p(k) / (p(k) + n(k)));
    end
end